This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315339 - (CVE-2016-4344, CVE-2016-4345, CVE-2016-4346) CVE-2016-4344 CVE-2016-4345 CVE-2016-4346 php: Multiple heap overflows due to integer overflows
CVE-2016-4344 CVE-2016-4345 CVE-2016-4346 php: Multiple heap overflows due to...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160220,reported=2...
: Security
Depends On: 1315340
Blocks: 1315348
  Show dependency treegraph
 
Reported: 2016-03-07 08:50 EST by Adam Mariš
Modified: 2016-06-13 14:22 EDT (History)
13 users (show)

See Also:
Fixed In Version: php 7.0.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 14:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-07 08:50:24 EST
Multiple heap-based buffer overflow caused by integer overflows were found in xml_utf8_encode, zend_string_alloc and php_addcslashes functions.

Upstream bug:

https://bugs.php.net/bug.php?id=71637

Upstream patch:

http://git.php.net/?p=php-src.git;a=commit;h=57b997ebf99e0eb9a073e0dafd2ab100bd4a112d
Comment 1 Adam Mariš 2016-03-07 08:51:11 EST
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1315340]
Comment 2 Andrej Nemec 2016-05-02 10:39:20 EDT
CVE assignments via:

http://seclists.org/oss-sec/2016/q2/163

CVE-2016-4344 is for the issue in:

ext/xml/xml.c

CVE-2016-4345 is for the issue in:

ext/filter/sanitizing_filters.c

CVE-2016-4346 is for the issue in:

ext/standard/string.c
Comment 3 Tomas Hoger 2016-06-13 14:22:27 EDT
PHP 7 only.  Additionally, these issue could only be triggered when PHP is configured to execute scripts with no or very high memory_limit.  That is not a typical configured, the default in PHP packages in Red Hat products is 128M.

Note You need to log in before you can comment on or make changes to this bug.